Bug 1871987 - openshift-marketplace/community-operator unhealthy: Back-off pulling image "quay.io/openshift-community-operators/catalog:latest"
Summary: openshift-marketplace/community-operator unhealthy: Back-off pulling image "q...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Evan Cordell
QA Contact: Bruno Andrade
URL:
Whiteboard:
: 1872282 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 19:02 UTC by Cameron Meadors
Modified: 2020-08-25 19:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 330 None closed Bug 1871987: Update 03_community_operators.yaml 2020-09-21 03:59:40 UTC

Description Cameron Meadors 2020-08-24 19:02:54 UTC
Description of problem:

openshift-marketplace/community-operator pods are not healthy immediately after install


Version-Release number of selected component (if applicable):

4.6.0-0.nightly-2020-08-24-062015


How reproducible:

Multiple reports on various installs.  My cluster was upi-on-osp.


Steps to Reproduce:
1. Install cluster
2. Look at Events
3. Inspect Pods

Actual results:

31m         Normal    Pulling                  pod/community-operators-wkj6m   Pulling image "quay.io/openshift-community-operators/catalog:latest"
31m         Warning   Failed                   pod/community-operators-wkj6m   Failed to pull image "quay.io/openshift-community-operators/catalog:latest": rpc error: code = Unknown desc = Error reading manifest latest in quay.io/openshift-community-operators/catalog: unauthorized: access to the requested resource is not authorized
31m         Warning   Failed                   pod/community-operators-wkj6m   Error: ErrImagePull
30m         Normal    BackOff                  pod/community-operators-wkj6m   Back-off pulling image "quay.io/openshift-community-operators/catalog:latest"

Expected results:

Pods would be healthy because they can pull images

Additional info:

podman pull quay.io/openshift-community-operators/catalog:latest                                                                                                                                                                    
Trying to pull quay.io/openshift-community-operators/catalog:latest...
  unauthorized: access to the requested resource is not authorized
Error: unable to pull quay.io/openshift-community-operators/catalog:latest: Error initializing source docker://quay.io/openshift-community-operators/catalog:latest: Error reading manifest latest in quay.io/openshift-community-operators/catalog: unauthorized: access to the requested resource is not authorized

Comment 1 David Eads 2020-08-25 12:06:18 UTC
*** Bug 1872282 has been marked as a duplicate of this bug. ***

Comment 4 Bruno Andrade 2020-08-25 19:54:32 UTC
On 4.6.0-0.nightly-2020-08-25, which has the PR merged (OLM version: 0.16.0, git commit: c3852d57c86707deb80c042c2155ad82c2d9628f), I see that now the bundle index image is being used instead:

oc get pods community-operators-nb7m6 -n openshift-marketplace -o yaml | grep  image:             
  - image: registry.redhat.io/redhat/community-operator-index:latest

However, I'm only seeing teiid operator package in this index, but that is happening because operators are currently being migrated to new bundle format as mentioned here https://bugzilla.redhat.com/show_bug.cgi?id=1872112#c1.

oc get packagemanifest -l catalog=community-operators
NAME    CATALOG               AGE
teiid   Community Operators   35m

Marking as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.